Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.exceptions
Class IdentityCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.workplace.wcm.api.exceptions.WCMException
                  com.ibm.workplace.wcm.api.exceptions.IdentityCreationException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public class IdentityCreationException

extends WCMException

Thrown by IdentityBuilder when there is a problem converting identities.

Since:
  8.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`ERR_APTRIX`

Constructor Summary
`IdentityCreationException(Localized p_localizedMessage)` Constructor
`IdentityCreationException(java.lang.String p_detail)` Constructor
`IdentityCreationException(java.lang.String p_detail, java.lang.Throwable p_cause)` Constructor
`IdentityCreationException(java.lang.Throwable p_cause)` Constructor

Method Summary

Methods inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`getCause, getDescription, getErrorCode, getLocales, getMessage, getMessage, getTitle, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityCreationException

    public IdentityCreationException(Localized p_localizedMessage)

  Constructor

  Parameters:
    `p_localizedMessage` -

### IdentityCreationException

    public IdentityCreationException(java.lang.String p_detail,
                                     java.lang.Throwable p_cause)

  Constructor

  Parameters:
    `p_detail` -
    `p_cause` -

### IdentityCreationException

    public IdentityCreationException(java.lang.String p_detail)

  Constructor

  Parameters:
    `p_detail` -

### IdentityCreationException

    public IdentityCreationException(java.lang.Throwable p_cause)

  Constructor

  Parameters:
    `p_cause` -

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD